﻿using Ueberpruefung;

namespace Testverwaltung
{
    public class LemmaTest : Test
    {
        public LemmaTest() : base()
        {
            numTests = 4;
        }
        public override bool run() 
        {
			string path = "Tests\\lemma\\";
			resultString = "Testing Lemmata\r\n\r\n";
			ein.Eingabe_Interface("ADT", path + "ADT_Bsp.adt");
			ein.Eingabe_Interface("Task", path + "Task_Bsp.task");
			for (int testNum = 0; testNum < numTests-1; testNum++)
			{
				ein.Eingabe_Interface("Proof", path + "Proof_correct_" + testNum + ".proof");
				Ueberpruefer.ueberpruefe(ein.GetContainer());
				resultString += assert(testNum, aus.NoErrors(), aus.printAllErrors(ein.GetContainer()));
			}
			ein.Eingabe_Interface("Task", path + "Task_Bsp2.task");
			ein.Eingabe_Interface("Proof", path + "Proof_T2_correct_0.proof");
			Ueberpruefer.ueberpruefe(ein.GetContainer());
			resultString += assert(3, aus.NoErrors(), aus.printAllErrors(ein.GetContainer()));
			return passed;
		}
    }
}
