﻿using Eingabeverwaltung.Metamodell;
using System;

namespace Ueberpruefung.CheckTransformation
{
	public class CheckSubstitution_NoSortChange : ElementChecker
	{
		public CheckSubstitution_NoSortChange() { }

        public override bool check(Element e)
        {
            if (e is Substitution sub)
            {
                bool result = sub.variable.sort == sub.tree.sort;
                if (!result) sub.errors.Add(new Error(4));
                return result;
            }
            else throw new InvalidOperationException();
        }
    }
}
