﻿namespace Bewertung
{
    public class InductionPartAssessment
    {
        private double assessment;
        private bool readOnly;
        internal readonly int maxPt;
        internal readonly string partID;

        public InductionPartAssessment(int maxPt, string partID) 
        {
            this.maxPt = maxPt;
            this.partID = partID;
            assessment = 0.0;
            readOnly = false;
        }

        /// <summary>
        /// copys ipa and makes the assessment of the copy readonly
        /// </summary>
        /// <param name="ipa"></param>
        public InductionPartAssessment(InductionPartAssessment ipa)
        {
            assessment = ipa.assessment;
            maxPt = ipa.maxPt;
            partID = ipa.partID;
            readOnly = true;
        }

        internal double Assessment
        {
            get { return assessment; }
            set { if (!readOnly) assessment = value; else throw new System.Exception("It was tried to change the readOnly assessment."); }
        }
    }
}
